- Qt 6.8
- Qt 3D
- Qt3DCore Namespace
- Qt 6.8.3 Reference Documentation

# Qt3DCore Namespace

Contains classes that are the foundation for Qt 3D simulation framework, as well as classes that provide the ability to render using the Qt 3D framework. More...

Header: | `#include <Qt3DCore>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS 3DCore)` `target_link_libraries(mytarget PRIVATE Qt6::3DCore)`
qmake: | `QT += 3dcore`
Status: | Deprecated

## Namespaces

namespace | Debug
namespace | Quick

## Classes

class | QNodeId

## Types

| QAspectJobPtr
| QBackendNodeMapperPtr
| QBufferPtr
| QEntityPtr

## Functions

int | qHash(Qt3DCore::QNodeId id, int seed = 0)

## Detailed Description

## Namespaces

### namespace Qt3DCore::Debug

Called in the main thread when the frame processing is complete.

### namespace Qt3DCore::Quick

## Classes

### class QNodeId

Uniquely identifies a QNode. More...

## Type Documentation

### QAspectJobPtr

A shared pointer for QAspectJob.

### QBackendNodeMapperPtr

A shared pointer for QBackendNodeMapper.

### QBufferPtr

### QEntityPtr

A shared pointer for QEntity.

## Function Documentation

### `[constexpr noexcept]` int qHash(Qt3DCore::QNodeId id, int seed = 0)

Returns hash of node with id and optional seed.